o2hbmonitor(8)

NAME
o2hbmonitor - Monitors disk heartbeat in the O2CB cluster stack

SYNOPSIS
o2hbmonitor [-w percent] [-ivV]

DESCRIPTION

o2hbmonitor is a utility to monitor the disk heartbeat in the o2cb cluster stack. It tracks the time elapsed since the last heartbeat and logs messages once it exceeds the warn threshold.

By default, it runs as a daemon and logs messages to the system logger. It can be started at any time and stopped using kill(1). It does not affect the functioning of the heartbeat thread. It is typically automatically started during cluster online and stopped during cluster offline by the o2cb init script.

This utility expects the debugfs file system to be mounted at /sys/kernel/debug.

OPTIONS

-w percent
    Warn threshold percent. It is the percentage of the idle threshold. It defaults to 50%.

-i  Interactive mode. It works as a daemon by default. This mode is typically only used for debugging.

-v  Verbose mode. It logs messages only to the system logger by default. In this mode it also logs the messages to stdout.

-V  Displays version.

NOTES
This utility works with Linux kernel 2.6.37 and later.

SEE ALSO
o2cb(7)

AUTHORS
Oracle Corporation

COPYRIGHT
Copyright © 2010, 2012 Oracle. All rights reserved.